#include "byte_code.h"

class hello {
public:
virtual void _init_() {
	int arg1,arg2;
	const char * ptr;
	void * ptr1;
	void * var[1];
	var[0] = (void*)this;
	int temp1;
L0:
	ALOAD(0)
L1:
	INVOKESPECIAL(java::lang::Object,_init_,"()V")
L4:
	RETURN()
}

static void main(string_vector_type & args) {
	int arg1,arg2;
	const char * ptr;
	void * ptr1;
	void * var[2];
	int temp1;
	int temp2;
L0:
	GETSTATIC(java::lang::System,out,"Ljava/io/PrintStream;")
L3:
	LDC("Hello, World!")
L5:
	INVOKEVIRTUAL(hello,println,"(Ljava/lang/String;)V")
L8:
	RETURN()
}

};

int
main(int argc, char ** argv)
{
   try {
      string_vector_type args;
      stack_type rt_stack;
      the_stack = &rt_stack;
      for(int i = 1; i < argc; i++)
         args.push_back(argv[i]);
      hello::main(args);
   }
   catch(...) {
      cerr << "exception..." << endl;
      exit(1);
   }
   return 0;
}
